package com.qmth.themis.business.bean.admin;

import com.qmth.themis.business.excel.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 进度查询返回对象
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/22
 */
@ApiModel("进度查询返回对象")
public class InvigilateListProgressExcelBean implements Serializable {

    @ExcelProperty(name = "批次名称(代码)", width = 30, index = 1)
    private String examName;

    @ApiModelProperty(name = "考试场次")
    @ExcelProperty(name = "场次名称(代码)", width = 30, index = 2)
    private String examActivityCode;

    @ApiModelProperty(name = "虚拟考场名称")
    @ExcelProperty(name = "考场名称(代码)", width = 30, index = 3)
    private String roomName;

    @ApiModelProperty(name = "证件号")
    @ExcelProperty(name = "证件号", width = 30, index = 4)
    private String identity;

    @ApiModelProperty(name = "姓名")
    @ExcelProperty(name = "姓名", width = 30, index = 5)
    private String name;

    @ApiModelProperty(name = "班级")
    @ExcelProperty(name = "班级", width = 30, index = 6)
    private String classNo;

//    @ApiModelProperty(name = "联系电话")
//    @ExcelProperty(name = "联系电话", width = 30, index = 6)
//    private String mobileNumber;

    @ApiModelProperty(name = "科目名称")
    @ExcelProperty(name = "科目(代码)", width = 30, index = 7)
    private String courseName;

    @ApiModelProperty(value = "剩余考试次数")
    @ExcelProperty(name = "剩余考试次数", width = 30, index = 8)
    private Integer leftExamCount;

    @ApiModelProperty(name = "考生状态")
    @ExcelProperty(name = "完成状态", width = 30, index = 9)
    private String status;

    @ApiModelProperty(name = "违纪状态")
    @ExcelProperty(name = "违纪状态", width = 30, index = 10)
    private String breachStatus;

    @ApiModelProperty(name = "虚拟考场编码")
    private String roomCode;

    @ApiModelProperty(name = "科目代码")
    private String courseCode;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getBreachStatus() {
        return breachStatus;
    }

    public void setBreachStatus(String breachStatus) {
        this.breachStatus = breachStatus;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamActivityCode() {
        return examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = examActivityCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

//    public String getMobileNumber() {
//        return mobileNumber;
//    }
//
//    public void setMobileNumber(String mobileNumber) {
//        this.mobileNumber = mobileNumber;
//    }

    public Integer getLeftExamCount() {
        return leftExamCount;
    }

    public void setLeftExamCount(Integer leftExamCount) {
        this.leftExamCount = leftExamCount;
    }
}
